
using FGUI.ZM_Common_01;
using UnityEngine;
using FairyGUI;

namespace RedHotRoast
{
    public class LiveUnlockUI : BaseUI
    {
        private LiveUnlockUICtrl ctrl;
        private LiveUnlockModel model;
        private FGUI.LG_Unlock.com_LiveUnlock ui;

        public LiveUnlockUI(LiveUnlockUICtrl ctrl) : base(ctrl)
        {
            uiName = UIConst.LiveUnlockUI;
            this.ctrl = ctrl;
        }

        protected override void SetUIInfo(UIInfo uiInfo)
        {
            uiInfo.packageName = "LG_Unlock";
            uiInfo.assetName = "com_LiveUnlock";
            uiInfo.layerType = UILayerType.Popup;
            uiInfo.isNeedOpenAnim = false;
            uiInfo.isNeedCloseAnim = false;
            uiInfo.isNeedUIMask = true;
        }

        #region 生命周期
        protected override void OnInit()
        {
            //model = ModuleManager.Instance.GetModel(ModelConst.LiveUnlockModel) as LiveUnlockModel;
        }

        protected override void OnClose()
        {
        }

        protected override void OnBind()
        {
            ui = baseUI as FGUI.LG_Unlock.com_LiveUnlock;
        }

        protected override void OnOpenBefore(object args)
        {
            InitView();
        }

        protected override void OnOpen(object args)
        {
        }

        protected override void OnHide()
        {
        }

        protected override void OnDisplay(object args)
        {
        }
        #endregion

        #region 消息
        protected override void AddListener()
        {

        }
        protected override void RemoveListener()
        {

        }
        #endregion

        //初始化页面逻辑
        private void InitView()
        {
            ui.btn_close.SetClick(() =>
            {
                CtrlCloseUI();
            });
            ui.text_unlock.SetVar("num", GameHelper.GetCommonModel().UnlockLive[1].ToString()).FlushVars();

        }
    }
}